import { MetadataSchema } from "@erp/core";
import { z } from "zod/v4";

export const UpdateCustomerByIdResponseSchema = z.object({
  id: z.uuid(),
  company_id: z.uuid(),
  reference: z.string(),

  is_company: z.string(),
  name: z.string(),
  trade_name: z.string(),
  tin: z.string(),

  street: z.string(),
  street2: z.string(),
  city: z.string(),
  province: z.string(),
  postal_code: z.string(),
  country: z.string(),

  email_primary: z.string(),
  email_secondary: z.string(),
  phone_primary: z.string(),
  phone_secondary: z.string(),
  mobile_primary: z.string(),
  mobile_secondary: z.string(),

  fax: z.string(),
  website: z.string(),

  legal_record: z.string(),

  default_taxes: z.array(z.string()),
  language_code: z.string(),
  currency_code: z.string(),

  metadata: MetadataSchema.optional(),
});

export type UpdateCustomerByIdResponseDTO = z.infer<typeof UpdateCustomerByIdResponseSchema>;
